List messages
curl --request GET \
--url https://inboxapp.com/api/v2/threads/{threadId}/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://inboxapp.com/api/v2/threads/{threadId}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://inboxapp.com/api/v2/threads/{threadId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"threadId": "<string>",
"accountLinkId": "<string>",
"platform": "twitter",
"platformId": "<string>",
"direction": "inbound",
"sentBy": {
"type": "member",
"memberId": "<string>",
"member": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"imageUrl": "<string>",
"role": "owner",
"createdAt": "2026-09-14T10:32:00.000Z"
}
},
"content": "<string>",
"entities": {
"urls": [
{
"url": "<string>",
"displayUrl": "<string>",
"indices": {
"start": 123,
"end": 123
}
}
],
"postShares": [
{
"platformId": "<string>",
"url": "<string>",
"indices": {
"start": 123,
"end": 123
}
}
],
"mentions": [
{
"username": "jane",
"displayName": "<string>",
"platformId": "<string>",
"indices": {
"start": 123,
"end": 123
}
}
],
"hashtags": [
{
"tag": "<string>",
"indices": {
"start": 123,
"end": 123
}
}
],
"cashtags": [
{
"symbol": "<string>",
"indices": {
"start": 123,
"end": 123
}
}
],
"format": [
{
"kind": "bold",
"indices": {
"start": 123,
"end": 123
}
}
]
},
"attachments": [
{
"index": 123,
"kind": "image",
"filename": "<string>",
"contentType": "image/jpeg",
"sizeBytes": 123,
"width": 123,
"height": 123,
"aspectRatio": 123,
"durationSeconds": 123,
"status": "ready",
"url": "<string>",
"expiresAt": "2026-09-14T10:32:00.000Z",
"poster": {
"url": "<string>",
"expiresAt": "2026-09-14T10:32:00.000Z",
"width": 123,
"height": 123
}
}
],
"forwarded": {
"content": "<string>"
},
"reactions": [
{
"emoji": "<string>",
"author": {
"type": "accountLink",
"accountLinkId": "<string>",
"accountLink": {
"id": "<string>",
"platform": "twitter",
"platformId": "<string>",
"username": "jane",
"displayName": "<string>",
"avatarUrl": "<string>",
"status": "active",
"pauseReasons": [
"billing"
],
"capabilities": [
"message:send"
],
"syncedAt": "2026-09-14T10:32:00.000Z",
"createdAt": "2026-09-14T10:32:00.000Z"
}
},
"createdAt": "2026-09-14T10:32:00.000Z"
}
],
"editedAt": "2026-09-14T10:32:00.000Z",
"deletedAt": "2026-09-14T10:32:00.000Z",
"createdAt": "2026-09-14T10:32:00.000Z",
"platformData": {
"_tag": "twitter",
"encrypted": true
},
"replyTo": {
"messageId": "<string>",
"platformId": "<string>",
"content": "<string>",
"authorName": "<string>",
"message": "<unknown>"
},
"thread": {
"id": "<string>",
"platform": "twitter",
"platformId": "<string>",
"accountLinkId": "<string>",
"profileId": "<string>",
"contactId": "<string>",
"assigneeId": "<string>",
"isRequest": true,
"acceptanceState": "required",
"archived": true,
"unread": true,
"restrictions": [
"message:send"
],
"syncing": true,
"typingIndicators": "enabled",
"lastMessage": {
"id": "<string>",
"direction": "inbound",
"createdAt": "2026-09-14T10:32:00.000Z"
},
"activity": {
"preview": "<string>",
"direction": "inbound",
"at": "2026-09-14T10:32:00.000Z"
},
"createdAt": "2026-09-14T10:32:00.000Z",
"accountLink": {
"id": "<string>",
"platform": "twitter",
"platformId": "<string>",
"username": "jane",
"displayName": "<string>",
"avatarUrl": "<string>",
"status": "active",
"pauseReasons": [
"billing"
],
"capabilities": [
"message:send"
],
"syncedAt": "2026-09-14T10:32:00.000Z",
"createdAt": "2026-09-14T10:32:00.000Z"
},
"profile": {
"id": "<string>",
"platform": "twitter",
"platformId": "<string>",
"username": "jane",
"handle": "@jane",
"displayName": "<string>",
"avatarUrl": "<string>",
"bio": "<string>",
"location": "<string>",
"websiteUrl": "<string>",
"websiteDomain": "<string>",
"verified": true,
"isOrganization": true,
"isProtected": true,
"followerCount": 123,
"followingCount": 123,
"postCount": 123,
"engagementCount": 123,
"listedCount": 123,
"accountStatus": "active",
"platformCreatedAt": "2026-09-14T10:32:00.000Z",
"profileUrl": "<string>",
"updatedAt": "2026-09-14T10:32:00.000Z",
"platformData": {
"_tag": "twitter",
"badge": "blue",
"profileType": "personal",
"professionalCategory": "<string>",
"urlEntities": [
{
"url": "<string>",
"expandedUrl": "<string>",
"displayUrl": "<string>",
"indices": [
123,
123
]
}
],
"bannerUrl": "<string>",
"rawData": {}
}
},
"contact": {
"id": "<string>",
"profiles": [
{
"id": "<string>",
"platform": "twitter",
"platformId": "<string>",
"username": "jane",
"handle": "@jane",
"displayName": "<string>",
"avatarUrl": "<string>",
"bio": "<string>",
"location": "<string>",
"websiteUrl": "<string>",
"websiteDomain": "<string>",
"verified": true,
"isOrganization": true,
"isProtected": true,
"followerCount": 123,
"followingCount": 123,
"postCount": 123,
"engagementCount": 123,
"listedCount": 123,
"accountStatus": "active",
"platformCreatedAt": "2026-09-14T10:32:00.000Z",
"profileUrl": "<string>",
"updatedAt": "2026-09-14T10:32:00.000Z",
"platformData": {
"_tag": "twitter",
"badge": "blue",
"profileType": "personal",
"professionalCategory": "<string>",
"urlEntities": [
{
"url": "<string>",
"expandedUrl": "<string>",
"displayUrl": "<string>",
"indices": [
123,
123
]
}
],
"bannerUrl": "<string>",
"rawData": {}
}
}
],
"statusId": "<string>",
"tagIds": [
"<string>"
],
"notes": "<string>",
"valuation": 123,
"assigneeId": "<string>",
"createdAt": "2026-09-14T10:32:00.000Z",
"updatedAt": "2026-09-14T10:32:00.000Z",
"status": {
"id": "<string>",
"name": "<string>",
"color": "#3b82f6",
"createdAt": "2026-09-14T10:32:00.000Z"
},
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "#3b82f6"
}
],
"assignee": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"imageUrl": "<string>",
"role": "owner",
"createdAt": "2026-09-14T10:32:00.000Z"
}
},
"assignee": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"imageUrl": "<string>",
"role": "owner",
"createdAt": "2026-09-14T10:32:00.000Z"
}
},
"accountLink": {
"id": "<string>",
"platform": "twitter",
"platformId": "<string>",
"username": "jane",
"displayName": "<string>",
"avatarUrl": "<string>",
"status": "active",
"pauseReasons": [
"billing"
],
"capabilities": [
"message:send"
],
"syncedAt": "2026-09-14T10:32:00.000Z",
"createdAt": "2026-09-14T10:32:00.000Z"
}
}
],
"nextCursor": "<string>"
}{
"code": "invalidCursor",
"message": "<string>",
"details": null,
"requestId": "<string>"
}{
"code": "unauthorized",
"message": "<string>",
"details": null,
"requestId": "<string>"
}{
"code": "platformNotAvailable",
"message": "<string>",
"details": {
"platform": "twitter"
},
"requestId": "<string>"
}{
"code": "threadNotFound",
"message": "<string>",
"details": null,
"requestId": "<string>"
}{
"code": "rateLimited",
"message": "<string>",
"details": {
"window": "minute",
"limit": 123,
"resetAt": "2026-09-14T10:32:00.000Z"
},
"requestId": "<string>"
}{
"code": "internal",
"message": "<string>",
"details": null,
"requestId": "<string>"
}Messages
List messages
GET
/
threads
/
{threadId}
/
messages
List messages
Path Parameters
Pattern:
^[0-9a-z]+$Query Parameters
Sort direction by createdAt. Defaults to desc, newest first.
Available options:
desc, asc Related resources to embed next to their ID field, one path per key, at most 4.
Maximum array length:
4Available options:
sentBy, reactions.author, thread, accountLink, replyTo.message Page size, from 1 to 100. Defaults to 50.
Required range:
1 <= x <= 100The previous page's nextCursor. Opaque, and valid only with the filters it was issued for.
Was this page helpful?